> For the complete documentation index, see [llms.txt](https://docs.eseye.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eseye.com/api-reference/api-reference-legacy/package/package-item.md).

# Package Item

## Viewing all package items for a package

> To view all package items for a specific package:

```json
{"openapi":"3.1.0","info":{"title":"Package API","version":"2.0.0"},"tags":[{"name":"Package item"}],"servers":[{"url":"https://package.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/package/{packageId}/packageItem":{"get":{"summary":"Viewing all package items for a package","operationId":"get-api-v2-package-packageid-packageitem","tags":["Package item"],"description":"To view all package items for a specific package:","parameters":[{"name":"packageId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"pageToken":{"type":"string"},"requestedPageSize":{"type":"integer"},"itemCount":{"type":"integer"},"items":{"type":"array","items":{"type":"object","properties":{"packageItemId":{"type":"integer"},"name":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"},"packageId":{"type":"integer"},"inBundleRounding":{"type":"integer"},"outOfBundleRounding":{"type":"integer"},"transmissionType":{"type":"string"},"transmissionTypeGroup":{"type":"string"},"testBundleAmount":{"type":"integer"},"bundleAmount":{"type":"integer"},"outOfBundlePrice":{"type":"integer"},"price":{"type":"number"},"packageItemCategoryId":{"type":"integer"},"packageCategoryId":{"type":"integer"},"status":{"type":"string"},"attributes":{"type":"array","items":{"type":"object","properties":{"packageItemAttributeId":{"type":"integer"},"packageItemId":{"type":"integer"},"attribute":{"type":"string"},"value":{"type":"string"},"status":{"type":"string"}}}},"mcc":{"type":"array","items":{"type":"object","properties":{"mcc":{"type":"string"},"mnc":{},"mnoId":{},"profileId":{},"apnId":{},"ratTypeId":{},"status":{"type":"string"}}}}}}}}}}}}}}}}}
```

## Creating a new package item

> To create a new package item:

```json
{"openapi":"3.1.0","info":{"title":"Package API","version":"2.0.0"},"tags":[{"name":"Package item"}],"servers":[{"url":"https://package.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/package/{packageId}/packageItem":{"post":{"summary":"Creating a new package item","operationId":"post-api-v2-package-packageid-packageitem","tags":["Package item"],"description":"To create a new package item:","parameters":[{"name":"packageId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"title":{"type":"string"},"packageItemCategoryId":{"type":"string"},"packageCategoryId":{"type":"string"},"description":{"type":"string"},"transmissionTypeId":{"type":"string"},"transmissionTypeGroupId":{"type":"string"},"inBundleRounding":{"type":"string"},"outOfBundleRounding":{"type":"string"},"testBundleAmount":{"type":"string"},"bundleAmount":{"type":"string"},"outOfBundlePrice":{"type":"string"},"price":{"type":"string"}},"required":["name","title","packageItemCategoryId","packageCategoryId"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"packageItemId":{"type":"integer"},"name":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"},"packageId":{"type":"integer"},"inBundleRounding":{"type":"integer"},"outOfBundleRounding":{"type":"integer"},"transmissionType":{},"transmissionTypeGroup":{},"testBundleAmount":{"type":"integer"},"bundleAmount":{"type":"integer"},"outOfBundlePrice":{"type":"integer"},"price":{"type":"number"},"packageItemCategoryId":{"type":"integer"},"packageCategoryId":{"type":"integer"},"status":{"type":"string"}}}}}}}}}}}
```

## Viewing a specific package item

> To view details for a specific package item:

```json
{"openapi":"3.1.0","info":{"title":"Package API","version":"2.0.0"},"tags":[{"name":"Package item"}],"servers":[{"url":"https://package.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/package/{packageId}/packageItem/{packageItemId}":{"get":{"summary":"Viewing a specific package item","operationId":"get-api-v2-package-packageid-packageitem-packageitemid","tags":["Package item"],"description":"To view details for a specific package item:","parameters":[{"name":"packageId","in":"path","required":true,"schema":{"type":"string"}},{"name":"packageItemId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"packageItemId":{"type":"integer"},"name":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"},"packageId":{"type":"integer"},"inBundleRounding":{"type":"integer"},"outOfBundleRounding":{"type":"integer"},"transmissionType":{"type":"string"},"transmissionTypeGroup":{"type":"string"},"testBundleAmount":{"type":"integer"},"bundleAmount":{"type":"integer"},"outOfBundlePrice":{"type":"integer"},"price":{"type":"number"},"packageItemCategoryId":{"type":"integer"},"packageCategoryId":{"type":"integer"},"status":{"type":"string"},"attributes":{"type":"array","items":{"type":"object","properties":{"packageItemAttributeId":{"type":"integer"},"packageItemId":{"type":"integer"},"attribute":{"type":"string"},"value":{"type":"string"},"status":{"type":"string"}}}},"mcc":{"type":"array","items":{"type":"object","properties":{"mcc":{"type":"string"},"mnc":{},"mnoId":{},"profileId":{},"apnId":{},"ratTypeId":{},"status":{"type":"string"}}}}}}}}}}}}}}
```

## Deleting a specific package item

> To delete a specific package item:

```json
{"openapi":"3.1.0","info":{"title":"Package API","version":"2.0.0"},"tags":[{"name":"Package item"}],"servers":[{"url":"https://package.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/package/{packageId}/packageItem/{packageItemId}":{"delete":{"summary":"Deleting a specific package item","operationId":"delete-api-v2-package-packageid-packageitem-packageitemid","tags":["Package item"],"description":"To delete a specific package item:","parameters":[{"name":"packageId","in":"path","required":true,"schema":{"type":"string"}},{"name":"packageItemId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"PACKAGE_ITEM":{"type":"integer"}}}}}}}}}}}
```

## Updating a specific package item

> To update a specific package item:

```json
{"openapi":"3.1.0","info":{"title":"Package API","version":"2.0.0"},"tags":[{"name":"Package item"}],"servers":[{"url":"https://package.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/package/{packageId}/packageItem/{packageItemId}":{"patch":{"summary":"Updating a specific package item","operationId":"patch-api-v2-package-packageid-packageitem-packageitemid","tags":["Package item"],"description":"To update a specific package item:","parameters":[{"name":"packageId","in":"path","required":true,"schema":{"type":"string"}},{"name":"packageItemId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"},"inBundleRounding":{"type":"string"},"outOfBundleRounding":{"type":"string"},"transmissionTypeId":{"type":"string"},"transmissionTypeGroupId":{"type":"string"},"testBundleAmount":{"type":"string"},"bundleAmount":{"type":"string"},"outOfBundlePrice":{"type":"string"},"price":{"type":"string"},"packageItemCategoryId":{"type":"string"},"packageCategoryId":{"type":"string"},"status":{"type":"string"}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"packageItemId":{"type":"integer"},"name":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"},"packageId":{"type":"integer"},"inBundleRounding":{"type":"integer"},"outOfBundleRounding":{"type":"integer"},"transmissionType":{},"transmissionTypeGroup":{},"testBundleAmount":{"type":"integer"},"bundleAmount":{"type":"integer"},"outOfBundlePrice":{"type":"integer"},"price":{"type":"number"},"packageItemCategoryId":{"type":"integer"},"packageCategoryId":{"type":"integer"},"status":{"type":"string"}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eseye.com/api-reference/api-reference-legacy/package/package-item.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
